get
https://{subdomain}.workable.com/spi/v3/requisitions/custom_attributes
Returns the field metadata of the account's requisition custom attributes. Required scope: r_requisitions. Accessible with all token types for accounts with Hiring Plan.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Results
Calling the /requisitions/custom_attributes endpoint will return the field metadata of the account's requisition custom attributes.
Choices are fetched separatelyThis endpoint does not return the choices of
dropdownandmultiple_choiceattributes. Use /requisitions/custom_attributes/:id/choices to fetch the allowed choices of a specific attribute.
| key | type | description |
|---|---|---|
| custom_attributes | array | Array of requisition custom attributes |
Each requisition custom attribute will have the following keys:
| key | type | description |
|---|---|---|
| id | string | The requisition custom attribute identifier |
| slug | string | The key used to set the attribute's value when creating or updating a requisition |
| type | string | The field type. Can be one of short_text, free_text, bulleted_list, numeric, boolean, date, dropdown, multiple_choice, file, salary, salary_range, signature. |
| enabled | boolean | Whether the attribute is enabled for the account |
| label | string | The label of the attribute |
